haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.GObject

Synopsis

- isGObject :: Type -> CodeGen e Bool
- apiIsGObject :: Name -> API -> CodeGen e Bool
- nameIsGObject :: Name -> CodeGen e Bool

# Documentation

isGObject :: Type -> CodeGen e Bool Source #

Check whether the given type descends from GObject.

apiIsGObject :: Name -> API -> CodeGen e Bool Source #

Check whether the given API descends from GObject.

nameIsGObject :: Name -> CodeGen e Bool Source #

Check whether the given name descends from GObject.